package de.ugoe.cs.autoquest.plugin.usability2.rules.operator.wrapper;

import java.util.List;
import java.util.Map;

import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskInstance;

public interface ITaskWrapper extends ITaskEntry {
    void addChild(ITaskWrapper child);
    void addChildren(List<ITaskWrapper> children);
    void addFilteredInstance(ITaskInstance filter, ITaskInstance instance);
    Map<ITaskInstance, List<ITaskInstance>> getFilteredInstances();
}